## srm-reader 0.05

=== debian/changelog ===
srm-reader (0.05) unstable; urgency=low

  * Add myself to Uploaders (I'm such a sucker)
  * Fix the script to account for the srm variables being exported to
    userspace as binary values, not as hex numbers

 -- Steve Langasek <vorlon@debian.org>  Thu,  8 Jan 2004 16:27:52 -0600

srm-reader (0.04) unstable; urgency=low

  * Moved to Standards-Version: 3.6.0; no changes required
  * Changed my email to mckinstry@debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Fri,  1 Aug 2003 21:07:05 +0100

srm-reader (0.03) unstable; urgency=low

  * Move out of menu; instead link out of /etc/rcS.d

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 14 Mar 2003 21:38:15 +0000

srm-reader (0.02) unstable; urgency=low

  * Fix typo. Closes: #184375.

 -- Alastair McKinstry <mckinstry@computer.org>  Thu, 13 Mar 2003 23:02:06 +0000

srm-reader (0.01) unstable; urgency=low

  * Initial Release.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 7 Mar 2003 20:28:31 +1100

Local variables:
mode: debian-changelog
End:

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for srm-reader
# Copyright (C) 2003 Alastair McKinstry, <mckinstry@debian.org>
# $Id: rules,v 1.4 2003/10/16 23:09:08 goswin Exp $

export DH_VERBOSE=1
PACKAGE=srm-reader
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH=alpha
FILENAME=$(PACKAGE)_$(VERSION)_$(ARCH).udeb

export DH_COMPAT=3

# Udebs have no postrm file, don't make one
export DH_OPTIONS=-n

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/srm-reader
	dh_link /usr/bin/srm-reader /etc/rcS.d/S40srm-reader

# Build architecture-independent files here.
binary-indep:

# Build arch-dependent files here
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_fixperms
	dh_gencontrol -- -n$(FILENAME)
	dh_builddeb --filename=$(FILENAME)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## srm-reader 0.11

=== Makefile ===
all:
clean:
	rm -f *~ demo.templates demo *stamp

install: 
	install -m 755 srm-reader ${DESTDIR}/usr/bin/srm-reader
	install -m 644 lang-codes $(DESTDIR)/usr/share/srm-reader/lang-codes

.PHONY: demo
	ln -sf debian/templates demo.templates
	chmod a+x debian/postinst
	rm -f demo
	ln -s debian/postinst demo
	DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./demo
	rm -f demo.templates demo

## srm-reader 0.06

=== debian/changelog ===
srm-reader (0.06) unstable; urgency=low

  * Fix a rather glaring (but not glaring enough) shell syntax error.
  * Prime the languagechooser/language-name variable, which is closest
    to the desired behavior at present.

 -- Steve Langasek <vorlon@debian.org>  Mon, 19 Jul 2004 02:33:47 -0500

=== debian/control ===
Source: srm-reader
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, Steve Langasek <vorlon@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.2)
Standards-Version: 3.6.0

Package: srm-reader
Architecture: alpha
Depends: cdebconf-udeb, languagechooser
Description: Read SRM variables to get defaults
 This udeb reads SRM (console) variables to get default values for 
 language, etc. to be used.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # debian/rules file for srm-reader
 # Copyright (C) 2003 Alastair McKinstry, <mckinstry@debian.org>
-# $Id: rules,v 1.4 2003/10/16 23:09:08 goswin Exp $
+# $Id: rules 11698 2004-03-22 09:30:58Z waldi $
 
 export DH_VERBOSE=1
 PACKAGE=srm-reader

## srm-reader 0.07

=== debian/changelog ===
srm-reader (0.07) unstable; urgency=low

  * Joey Hess
    - Use debhelper's udeb support.
    - debhelper v4.
  * Alastair McKinstry
    - use lib/debian-installer-startup.d instead of /etc/rcS.d
      Closes: #260814.
  * Joey Hess
    - Fix language preseeding to use "new" (6 months old..) languagechooser
      values. Closes: #279610
    - Did not make it preseed the countrychooser country, due to lack of time
      for testing. Added TODO item to add this feature back later.
    - Remove some obvious comments.
  * Steve Langasek
    - Add support for Flemish (Belgian Dutch), per Christian Perrier,
      and also for Japanese.
  * Jeff Bailey
    - Add myself to Uploaders.

 -- Jeff Bailey <jbailey@raspberryginger.com>  Thu, 13 Jan 2005 16:11:00 -0500

=== debian/control ===
Source: srm-reader
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, Steve Langasek <vorlon@debian.org>, Jeff Bailey <jbailey@raspberryginger.com>
Build-Depends-Indep: debhelper (>= 4.2)
Standards-Version: 3.6.0

Package: srm-reader
Architecture: alpha
Depends: cdebconf-udeb, languagechooser
Description: Read SRM variables to get defaults for language, etc
XC-Package-Type: udeb

## srm-reader 0.09

=== debian/changelog ===
srm-reader (0.09) unstable; urgency=low

  * Steve Langasek
    - Depend on localechooser instead of languagechooser, since the
      latter is now deprecated.
    - Change the preseeded debconf variables accordingly.

 -- Steve Langasek <vorlon@debian.org>  Tue, 14 Jun 2005 16:00:05 -0700

srm-reader (0.08) unstable; urgency=low

  * Steve Langasek
    - Add support for preseeding the country as well as the language,
      when this information is available

 -- Steve Langasek <vorlon@debian.org>  Mon,  6 Jun 2005 03:54:45 -0700

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 
 Package: srm-reader
 Architecture: alpha
-Depends: cdebconf-udeb, languagechooser
+Depends: cdebconf-udeb, localechooser
 Description: Read SRM variables to get defaults for language, etc
 XC-Package-Type: udeb

## srm-reader 0.10

=== debian/changelog ===
srm-reader (0.10) unstable; urgency=low

  [ Colin Watson ]
  * Change Build-Depends-Indep: debhelper to Build-Depends:, since it's used
    in the clean rule (closes: #367228).

 -- Steve Langasek <vorlon@debian.org>  Mon, 22 May 2006 17:59:31 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>, Steve Langasek <vorlon@debian.org>, Jeff Bailey <jbailey@raspberryginger.com>
-Build-Depends-Indep: debhelper (>= 4.2)
+Build-Depends: debhelper (>= 4.2)
 Standards-Version: 3.6.0
 
 Package: srm-reader

## srm-reader 0.11

=== debian/changelog ===
srm-reader (0.11) unstable; urgency=low

  [ Alastair McKinstry ]
  * Move to Standards-Version: 3.7.2. No changes required. 

  [ Frans Pop ]
  * Remove Alastair McKinstry and Jeff Bailey as Uploaders with many thanks
    for their past contributions.

 -- Steve Langasek <vorlon@debian.org>  Sun, 28 Sep 2008 21:50:53 -0700

=== debian/control ===
Source: srm-reader
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>
Build-Depends: debhelper (>= 4.2)
Standards-Version: 3.6.0
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/arch/alpha/srm-reader

Package: srm-reader
Architecture: alpha
Depends: cdebconf-udeb, localechooser
Description: Read SRM variables to get defaults for language, etc
XC-Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/srm-reader
	dh_link /usr/bin/srm-reader /lib/debian-installer-startup.d/S40srm-reader

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_fixperms
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## srm-reader 0.12

=== debian/changelog ===
srm-reader (0.12) unreleased; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Frans Pop ]
  * Remove Standards-Version field.

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.
  * Drop XC- from Package-Type field.

  [ James Clarke ]
  * Adopt package under debian-ports team.
    - Thanks debian-boot for keeping the repository in good shape despite
      being removed from the archive years ago!
  * Bump debhelper compat to 10.

 -- James Clarke <jrtc27@debian.org>  Tue, 14 Feb 2017 13:53:46 +0000

=== debian/control ===
Source: srm-reader
Section: debian-installer
Priority: optional
Maintainer: Debian Ports Team <debian-ports-devel@lists.alioth.debian.org>
Uploaders: James Clarke <jrtc27@debian.org>
Build-Depends: debhelper (>= 10)
Vcs-Browser: https://anonscm.debian.org/git/debian-ports/srm-reader.git
Vcs-Git: https://anonscm.debian.org/git/debian-ports/srm-reader.git

Package: srm-reader
Architecture: alpha
Depends: cdebconf-udeb, localechooser
Description: Read SRM variables to get defaults for language, etc
Package-Type: udeb
